Bug 1968971 - F35FailsToInstall: python3-falcon
Summary: F35FailsToInstall: python3-falcon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-falcon
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carl George 🤠
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On: 1969166
Blocks: F35FailsToInstall F36FailsToInstall PYTHON3.10 F35BetaFreezeException 1900668
TreeView+ depends on / blocked
 
Reported: 2021-06-07 23:38 UTC by Miro Hrončok
Modified: 2021-09-16 23:55 UTC (History)
7 users (show)

Fixed In Version: python-falcon-3.0.0-4.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-16 23:55:25 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github falconry falcon pull 1922 0 None None None 2021-08-02 12:19:28 UTC

Description Miro Hrončok 2021-06-07 23:38:30 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

Your package (python-falcon) Fails To Install in Fedora 35:

can't install python3-falcon:
  - nothing provides python3.9dist(setuptools) needed by python3-falcon-3.0.0-2.fc35.x86_64
  - nothing provides python(abi) = 3.9 needed by python3-falcon-3.0.0-2.fc35.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2021-06-07 23:45:47 UTC
This bugzilla is likely a fallout from the Python 3.10 rebuild.

If your package (or some of the dependencies it has) failed to rebuild during the Python 3.10 rebuild, they now fail to install. To fix this, packages need to be rebuilt in Rawhide.

We will slowly triage the bugzillas, but we'd appreciate your help.

If you know this is blocked by an existing reported build failure or another package not yet rebuilt with Python 3.10, please mark it as such by using the "Depends On"/"Blocks" bugzilla fields. That will help us determine what failures to prioritize.

Thank you and sorry for the inconvenience. Let me know if you need any help.

Comment 2 Miro Hrončok 2021-06-15 20:49:49 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 3 Neal Gompa 2021-08-02 12:19:28 UTC
Upstream has a draft PR for Python 3.10 support: https://github.com/falconry/falcon/pull/1922

Comment 4 Ben Cotton 2021-08-10 13:06:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 5 Fedora Update System 2021-09-10 14:08:55 UTC
FEDORA-2021-389bdf883b has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-09-10 15:01:21 UTC
FEDORA-2021-55adef54f6 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-55adef54f6

Comment 7 Fedora Update System 2021-09-10 22:12:23 UTC
FEDORA-2021-55adef54f6 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-55adef54f6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-55adef54f6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-09-12 08:12:09 UTC
FEDORA-2021-55adef54f6 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-55adef54f6

Comment 9 Fedora Update System 2021-09-12 18:08:55 UTC
FEDORA-2021-55adef54f6 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-55adef54f6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-55adef54f6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Lukas Ruzicka 2021-09-13 07:15:37 UTC
I can confirm that this package can be installed with the latest updates.

Comment 11 Fedora Update System 2021-09-16 23:55:25 UTC
FEDORA-2021-55adef54f6 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.